Package org.apache.sling.feature.cpconverter.vltpkg

## Class VaultPackageUtils

- java.lang.Object
- - org.apache.sling.feature.cpconverter.vltpkg.VaultPackageUtils

    public class VaultPackageUtils
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static @NotNull org.apache.jackrabbit.vault.packaging.PackageType` `detectPackageType​(@NotNull org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage)`
`static @NotNull org.apache.jackrabbit.vault.packaging.PackageType` `detectPackageType​(String path)`
`static @NotNull Set<org.apache.jackrabbit.vault.packaging.Dependency>` `getDependencies​(@NotNull org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage)`
`static boolean` `isContentEntry​(@NotNull String entryPath)`
`static void` `setDependencies​(@Nullable Set<org.apache.jackrabbit.vault.packaging.Dependency> dependencies, @NotNull Properties properties)`
`static @NotNull String` `toRepositoryPath​(@NotNull String s)`
`static @NotNull Set<String>` `toRepositoryPaths​(@NotNull Set<String> paths)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### detectPackageType

    @NotNull
    public static @NotNull org.apache.jackrabbit.vault.packaging.PackageType detectPackageType​(@NotNull
                                                                                               @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage)

#### detectPackageType

    @NotNull
    public static @NotNull org.apache.jackrabbit.vault.packaging.PackageType detectPackageType​(String path)

#### getDependencies

    @NotNull
    public static @NotNull Set<org.apache.jackrabbit.vault.packaging.Dependency> getDependencies​(@NotNull
                                                                                                 @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage)

#### setDependencies

    public static void setDependencies​(@Nullable
                                       @Nullable Set<org.apache.jackrabbit.vault.packaging.Dependency> dependencies,
                                       @NotNull
                                       @NotNull Properties properties)

#### toRepositoryPaths

    @NotNull
    public static @NotNull Set<String> toRepositoryPaths​(@NotNull
                                                         @NotNull Set<String> paths)

#### toRepositoryPath

    @NotNull
    public static @NotNull String toRepositoryPath​(@NotNull
                                                   @NotNull String s)

#### isContentEntry

    public static boolean isContentEntry​(@NotNull
                                         @NotNull String entryPath)